#include <Wire.h>
#include "Adafruit_DRV2605.h"

const int audioInputPin = A0;     // Analog input pin for audio signal 

Adafruit_DRV2605 drv;

void setup() {
  Serial.begin(9600);
  Serial.println("DRV2605 Audio responsive test");
  drv.begin();


  drv.setMode(DRV2605_MODE_AUDIOVIBE);

  // ac coupled input, puts in 0.9V bias
  drv.writeRegister8(DRV2605_REG_CONTROL1, 0x20);  
 
  // analog input
  drv.writeRegister8(DRV2605_REG_CONTROL3, 0xA3);  
}


void loop() {

  // These two lines are strictly speaking not necessary, but they help in understanding the signal.
  int audioValue = analogRead(audioInputPin); 
  Serial.println(audioValue);
}
